#ifndef __teaandcoffee_h
#define __teaandcoffee_h
#include <fstream>
#include "sort.h"
//------------------------------------------------------------
class TeaAndCoffee { // arbatos ir kavos klase
   private:
      std::string title;
      std::list<Sort*> sortlist;
   public:
      TeaAndCoffee(std::string title);
      ~TeaAndCoffee();
      std::string getType();
      void printType();
      void printProfit();
      void printPeriod(std::string nuo, std::string iki);
      void toList(std::string name, int how, float price, std::string date);
      void saveToFile(std::ofstream& outFile);
};
//------------------------------------------------------------
class Palyginti1 {
   public:
      bool operator() (TeaAndCoffee* a, TeaAndCoffee* b) {
         return (a->getType() < b->getType());
      }
};
//------------------------------------------------------------
#endif
